<?php

/**
 * Implements hook_views_data().
 */
function scheduled_actions_views_data() {
  $data['scheduled_actions']['table']['group'] = t('Scheduled Actions');

  // Scheduled action ID/machine name, perhaps more intuitively described as
  // "scheduled action type" here?
  // @todo: ~Join with actions table to provide friendly name (label).
  $data['scheduled_actions']['aid'] = array(
    'title' => t('Action type'),
    'help' => t('Unique string ID designating the type of action scheduled.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  // Scheduled action time.
  $data['scheduled_actions']['time'] = array(
    'title' => t('Scheduled time'),
    'help' => t('The date/time at which a "scheduled action" is set to occur.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  // Scheduled action triggered time.
  $data['scheduled_actions']['triggered_time'] = array(
    'title' => t('Triggered time'),
    'help' => t('The date/time at which a "scheduled action" actually occurred.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  return $data;
}
